SCANTAILOR-CLI(1)

NAME
scantailor-cli - a post-processing tool for scanned pages

SYNOPSIS
scantailor-cli [options] <images|directory|-> <output_directory>
scantailor-cli [options] <project_file> [output_directory]

DESCRIPTION
scantailor is a post-processing tool for scanned pages. It performs operations such as page splitting, deskewing, adding/removing borders, and others. You give it raw scans, and you get pages ready to be printed or assembled into a PDF or DJVU file. Scanning, optical character recognition, and assembling multi-page documents are out of scope of this project.

File names are collected from arguments, input directory, or stdin (-). If output_directory is specified as the last argument, it overwrites the one in the project file.

OPTIONS

-h, --help

-v, --verbose

-l, --layout=<0|1|1.5|2>
    0: | auto detect [default]
    1: | one page layout
    1.5: | one page layout but cutting is needed
    2: | two page layout

-ld, --layout-direction=<lr|rl>
    default: lr

--orientation=<left|right|upsidedown|none>
    default: none

--rotate=<0.0...360.0>
    also sets deskew to manual mode

--deskew=<auto|manual>
    default: auto

--content-detection=<cautious|normal|aggressive>
    default: normal

--content-box=<<left_offset>x<top_offset>:<width>x<height>>
    if set the content detection is set to manual mode
    example: --content-box=100x100:1500x2500

--margins=<number>
    sets left, top, right and bottom margins to same number.

--margins-left=<number>

--margins-right=<number>

--margins-top=<number>

--margins-bottom=<number>

--alignment=center
    sets vertical and horizontal alignment to center

--alignment-vertical=<top|center|bottom>

--alignment-horizontal=<left|center|right>

--dpi=<number>
    sets x and y dpi. default: 600

--dpi-x=<number>

--dpi-y=<number>

--output-dpi=<number>
    sets x and y output dpi. default: 600

--output-dpi-x=<number>

--output-dpi-y=<number>

--color-mode=<black_and_white|color_grayscale|mixed>
    default: black_and_white

--white-margins
    default: false

--normalize-illumination
    default: false

--threshold=<n>
    n<0 thinner
    n>0 thicker
    default: 0

--despeckle=<off|cautious|normal|aggressive>
    default: normal

--dewarping=<off|auto>
    default: off

--depth-perception=<1.0...3.0>
    default: 2.0

--start-filter=<1...6>
    default: 4

--end-filter=<1...6>
    default: 6

-o, --output-project=<project_name>

SEE ALSO
scantailor(1)
Scan Tailor Wiki: https://github.com/scantailor/scantailor/wiki

AUTHOR
scantailor was written by Joseph Artsimovich <joseph.artsimovich@gmail.com>